var $t = jQuery.noConflict(); 
var indice_lineas = [];
var lineas = [];
var cantidad = 0; 
$t(document).ready(function(){

    $t('.cantidadFlor').blur(function(){
        if ($t(this).val() >= 0) 
        {
		
			cantidad = cantidad + $t(this).val();
			var idArticulo = $t(this).attr('id');
			var posicion = idArticulo.indexOf('|');
			var uposicion = idArticulo.lastIndexOf ('|');
			var codArticulo = idArticulo.substring(2,posicion );
			var codReferencia = idArticulo.substring(posicion+1,uposicion);
			var codCatalogo = idArticulo.substring(uposicion+1,idArticulo.length);
			var idObservacion  = "o_".concat(codArticulo).concat("|").concat(codReferencia).concat("|").concat(codCatalogo);
			var observacion = "";
			var detalle =[];
			var detalleO =[];
			var indice = $t.inArray(codArticulo,indice_lineas );
			if ( indice  >= 0     ){
               detalleO.push( lineas[indice]);
               lineas.splice (indice,1);
               indice_lineas.splice (indice,1);
				}
			detalle.push(codArticulo);
			detalle.push($t(this).val());
			detalle.push(detalleO[2]);
			detalle.push(codReferencia);
			detalle.push(codCatalogo);
			if ($t(this).val() != 0) {
				lineas.push ( detalle);
				indice_lineas.push (codArticulo);
				llin = JSON.stringify(lineas);
				localStorage.setItem ("c_".concat(codArticulo),codArticulo);
				localStorage.setItem ($t(this).attr('id'),$t(this).val());
				localStorage.setItem (idObservacion, observacion);
			}    
        } 
	}); 
    $t('.cantidadFlor').each (function(){
        $t(this).val(localStorage.getItem ($t(this).attr('id')));
    });

});
       function limpiaFlor()
       {
                    localStorage.clear();
       }
      
       function confirmaFlor()
       {
		    $t.ajax ({
                url: 'confirmaPedidoFlores.php',
                contentType:'application/json',
                type: 'POST',
                dataType: 'json', 
                data: JSON.stringify (lineas)
 				
            })
            .success(function (data){
				
				    
					
				    if (data['RESP']=='NOAUTORIZA'){
					alert ("Venta no autorizada por falta de pago!");	
					}else{	
                    alert ("¡Su PEDIDO DE FLOR ha sido registrado con éxito!, Gracias ");
//                    localStorage.clear();
				      cargarHistorico();
					}
                    })
 
            .fail(function (msg){
	            alert ("REVISE SU HISTORIAL; POSIBLE ERROR EN SU PEDIDO DE FLOR " );
                    })
            .always(function (data){
					localStorage.clear();
                    //$("#profile").html(data);
                    $t(this).val(localStorage.getItem ($t(this).attr('id')));
                    $t.getScript ('hpedido.js');
					$t.getScript ('grabaobrador.js');		
					$t.getScript ('grabarflor.js');
					$t.getScript ('hoferta.js');					
					$t.getScript ('js/info.js');
					$t.getScript ('js/navegar.js');				
                    });
			  
			  
      
        }

